Data Structures | Macros | Functions
dbus-bindings.h File Reference
libpurple

Purple DBUS Bindings. More...

`#include <dbus/dbus.h>`
`#include <dbus/dbus-glib-lowlevel.h>`
`#include <glib.h>`

Go to the source code of this file.

## Data Structures
struct | PurpleDBusBinding

## Macros
#define | NULLIFY(id) id = empty_to_null(id)
#define | CHECK_ERROR(error) if (dbus_error_is_set(error)) return NULL;
#define | PURPLE_DBUS_ID_TO_POINTER(ptr, id, type, error)
#define | PURPLE_DBUS_POINTER_TO_ID(id, ptr, error)

## Functions
gint | purple_dbus_pointer_to_id (gconstpointer node)
gpointer | purple_dbus_id_to_pointer (gint id, PurpleDBusType *type)
gint | purple_dbus_pointer_to_id_error (gconstpointer ptr, DBusError *error)
gpointer | purple_dbus_id_to_pointer_error (gint id, PurpleDBusType *type, const char *typename, DBusError *error)
dbus_bool_t | purple_dbus_message_get_args (DBusMessage *message, DBusError *error, int first_arg_type,...)
dbus_bool_t | purple_dbus_message_get_args_valist (DBusMessage *message, DBusError *error, int first_arg_type, va_list var_args)
dbus_bool_t | purple_dbus_message_iter_get_args (DBusMessageIter *iter, DBusError *error, int first_arg_type,...)
dbus_bool_t | purple_dbus_message_iter_get_args_valist (DBusMessageIter *iter, DBusError *error, int first_arg_type, va_list var_args)
dbus_int32_t * | purple_dbusify_GList (GList *list, gboolean free_memory, dbus_int32_t *len)
dbus_int32_t * | purple_dbusify_GSList (GSList *list, gboolean free_memory, dbus_int32_t *len)
gpointer * | purple_GList_to_array (GList *list, gboolean free_memory, dbus_int32_t *len)
gpointer * | purple_GSList_to_array (GSList *list, gboolean free_memory, dbus_int32_t *len)
GHashTable * | purple_dbus_iter_hash_table (DBusMessageIter *iter, DBusError *error)
const char * | empty_to_null (const char *str)
const char * | null_to_empty (const char *s)
void | purple_dbus_register_bindings (void *handle, PurpleDBusBinding *bindings)
DBusConnection * | purple_dbus_get_connection (void)

## Detailed Description

Purple DBUS Bindings.

Definition in file dbus-bindings.h.

## Macro Definition Documentation

## ◆ PURPLE_DBUS_ID_TO_POINTER

#define PURPLE_DBUS_ID_TO_POINTER | ( |  | ptr,
|  |  | id,
|  |  | type,
|  |  | error
| ) |  |

Value:
G_STMT_START { \
ptr = (type*) purple_dbus_id_to_pointer_error \
(id, PURPLE_DBUS_TYPE(type), #type, error); \
CHECK_ERROR(error); \
} G_STMT_END

Definition at line 49 of file dbus-bindings.h.

## ◆ PURPLE_DBUS_POINTER_TO_ID

#define PURPLE_DBUS_POINTER_TO_ID | ( |  | id,
|  |  | ptr,
|  |  | error
| ) |  |

Value:
G_STMT_START { \
id = purple_dbus_pointer_to_id_error(ptr,error); \
CHECK_ERROR(error); \
} G_STMT_END

Definition at line 57 of file dbus-bindings.h.